import 'package:particle_ui/particle.dart';

/*enum CornerType { none, rounded, cut }

class CornerOld implements Attribute {
  final CornerType type;
  final double radius;

  const CornerOld(this.type, {this.radius = .0});
  const CornerOld.rounded({this.radius}) : type = CornerType.rounded;
  const CornerOld.cut({this.radius}) : type = CornerType.cut;

  //static const Corner none = Corner(CornerType.none);
}*/


abstract class Corner implements Attribute {
}

class RoundedCorner implements Corner {
  //final double radius;
  final double topLeft;
  final double topRight;
  final double bottomLeft;
  final double bottomRight;

  const RoundedCorner(double radius) : topLeft = radius, topRight = radius, bottomLeft = radius, bottomRight = radius;
  const RoundedCorner.only({this.topLeft, this.topRight, this.bottomLeft, this.bottomRight});
}

class CutCorner implements Corner {
  //TODO

  const CutCorner();
}

class Corners {
  static const Corner tinyRounded = RoundedCorner(2.0);
  static const Corner smallRounded = RoundedCorner(4.0);
  static const Corner mediumRounded = RoundedCorner(6.0);

  static const Corner tinyCut = CutCorner();
}