import 'package:particle_ui/particle.dart';

class Opacity implements Attribute {
  final double value;

  const Opacity(this.value) : assert(value != null), assert(value >= 0), assert(value <= 1);
}

class Opacities {
  static const Opacity opaque = Opacity(1);
  static const Opacity opacity95 = Opacity(.95);
  static const Opacity opacity90 = Opacity(.9);
  static const Opacity opacity85 = Opacity(.85);
  static const Opacity opacity80 = Opacity(.8);
  static const Opacity opacity75 = Opacity(.75);
  static const Opacity opacity70 = Opacity(.7);
  static const Opacity opacity65 = Opacity(.65);
  static const Opacity opacity60 = Opacity(.6);
  static const Opacity opacity55 = Opacity(.55);
  static const Opacity opacity50 = Opacity(.5);
  static const Opacity opacity45 = Opacity(.45);
  static const Opacity opacity40 = Opacity(.4);
  static const Opacity opacity35 = Opacity(.35);
  static const Opacity opacity30 = Opacity(.3);
  static const Opacity opacity25 = Opacity(.25);
  static const Opacity opacity20 = Opacity(.2);
  static const Opacity opacity15 = Opacity(.15);
  static const Opacity opacity10 = Opacity(.1);
  static const Opacity opacity5 = Opacity(.05);
  static const Opacity transparent = Opacity(0);
}