import 'package:particle_ui/particle.dart';

abstract class Shape implements Attribute {
}

class Rectangular implements Shape {
  final Corner corner;

  const Rectangular({this.corner});
}

class Circular implements Shape {
  const Circular();
}

class Shapes {
  static const Shape rectangular = Rectangular();
  static const Shape rectangularTR = Rectangular(corner: Corners.tinyRounded);
  static const Shape rectangularSR = Rectangular(corner: Corners.smallRounded);

  static const Shape circular = Circular();
}