library particle;

export 'package:flutter/material.dart'
    hide
        Size,
        Opacity,
        Color,
        Colors,
        LinearGradient,
        EdgeInsets,
        Alignment,
        TextStyle,
        IconData,
        Theme,
        Text,
        Icon,
        Image,
        Divider,
        AppBar,
        Card,
        Dialog,
        Page;

export './base/attribute.dart';

export './settings/theme.dart';
export './settings/theme_settings.dart';

export './attributes/font.dart';
export './attributes/icon_data.dart';
export './attributes/svg_icon.dart';
export './attributes/size.dart';
export './attributes/corner.dart';
export './attributes/shape.dart';
export './attributes/alignment.dart';
export './attributes/fill.dart';
export './attributes/opacity.dart';
export './attributes/color.dart';
export './attributes/linear_gradient.dart';
export './attributes/elevation.dart';
export './attributes/edge_insets.dart';
/*export './attributes/spacing.dart';
export './attributes/media.dart';
export './attributes/image_data.dart';
export './attributes/position.dart';*/
export './attributes/motion.dart';

export './elements/text.dart';